﻿using System;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace TodoList2.Persistence
{
    public class Item
    {
        [Key] public Int32 Id { get; set; }

        [Required]
        [MaxLength(50)]
        public String Name { get; set; }

        [DataType(DataType.MultilineText)]
        public String Description { get; set; }

        [Required]
        public DateTime Deadline { get; set; }

        [Required]
        [DisplayName("List")]
        public Int32 ListId { get; set; }

        public virtual List List { get; set; }
    }
}